<ion-item button mode="md" [disabled]="state == SHOPSTATE.Closed || state === SHOPSTATE.ClosedTemporarily">
  <!-- Thumbnail -->
  <ion-thumbnail class="ion-relative ion-round" style="width: 45px; height: 45px;" slot="start">
    <ion-img [src]="thumbnail" [alt]="name" class="ion-round" #img
      [class.ion-opacity-0]="!(img.ionImgDidLoad | async)">
    </ion-img>

    <!-- Skeleton -->
    <ion-skeleton-text *ngIf="!(img.ionImgDidLoad | async)" animated
      class="ion-absolute ion-top-0 ion-w-100 ion-h-100 ion-round">
    </ion-skeleton-text>
  </ion-thumbnail>

  <!-- Text, Rating  -->
  <ion-label color="dark">
    <ion-text [color]="stateTextColor" [ngSwitch]="state">
      <small class="ion-font-xs" *ngSwitchCase="SHOPSTATE.Closed">Cerrado por hoy</small>
      <small class="ion-font-xs" *ngSwitchCase="SHOPSTATE.ClosedTemporarily">Cerrado temporalmente</small>
      <small class="ion-font-xs" *ngSwitchDefault></small>
    </ion-text>

    <h6 class="ion-font-bold ion-mb-2">{{ name }}</h6>

    <ion-text color="medium" class="ion-font-sm">
      <div class="ion-flex">
        <ion-icon name="star" color="warning"></ion-icon>
        <span>&nbsp;{{ rating | number:'1.1-1' }}&nbsp;</span>
        <span>&#8226; Minimo ${{ minPrice }}</span>
      </div>
    </ion-text>
  </ion-label>

  <!-- Delivery Price -->
  <ion-chip color="primary" slot="end">
    <strong class="ion-font-sm">
      {{ 
        delivery
          ? "Envio " + delivery
          : "Pickup"
      }}
    </strong>
  </ion-chip>
</ion-item>